PuppetDB settings are set before the Foreman DB is provisioned

06/05/2020 12:35 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: Yes Found in Releases: 2.0.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/851,

https://github.com/theforeman/puppet-for

eman/pull/852,

https://github.com/theforeman/puppet-for

eman/pull/857

  

Description

Reported @ https://community.theforeman.org/t/katello-3-15-upgrade-issues-with-postgresql/19021

foreman-rake config is called before the DB is fully up and running.

Associated revisions

Revision fe7b09a3 - 06/05/2020 12:35 PM - Ewoud Kohl van Wijngaarden

Fixes #30026 - Ensure Foreman is provisioned before puppetdb

This is the same as 81a68c923a9e52a1579c599f95828042d0c95470 but for

puppetdb.

History

#1 - 06/05/2020 12:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/851 added

#2 - 06/05/2020 12:36 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.0.1

- Triaged changed from No to Yes

#3 - 06/05/2020 02:15 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#4 - 06/05/2020 02:17 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/852 added

#5 - 06/05/2020 03:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|fe7b09a36752c609486f82c87e042350457aee9b.

#6 - 06/07/2020 11:55 AM - Tomer Brisker

- Fixed in Releases 2.0.1 added
https://community.theforeman.org/t/katello-3-15-upgrade-issues-with-postgresql/19021
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/fe7b09a36752c609486f82c87e042350457aee9b


#7 - 06/07/2020 11:55 AM - Tomer Brisker

- Target version changed from 2.0.1 to 2.1.0

#8 - 06/15/2020 06:11 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/857 added

#9 - 06/17/2020 12:59 PM - Tomer Brisker

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)
